from HeaderException import HeaderException

##
# @brief Invalid Header Exception.
# @details Exception in which an impossible header index is found.
# @author Miguel Dominguez
# @date 2016
class InvalidHeaderException(HeaderException):
   ##
   # @fn __init__
   # @brief Constructor.
   # @details Initializes exception and stores header index.
   def __init__(self,headerIndex):
      super(Exception,self).__init__("Invalid Header Index {0}\n".format(headerIndex))
      self.headerIndex = headerIndex
